BSON_JSON_MODE_T(3)

NAME
bson_json_mode_t - bson_json_mode_t

BSON JSON encoding mode enumeration

SYNOPSIS

#include <bson/bson.h>
typedef enum {
   BSON_JSON_MODE_LEGACY,
   BSON_JSON_MODE_CANONICAL,
   BSON_JSON_MODE_RELAXED,
} bson_json_mode_t;

DESCRIPTION

The bson_json_mode_t enumeration contains all available modes for encoding BSON into MongoDB Extended JSON.

SEE ALSO:
bson_as_json_with_opts()

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc